Summary:	A portability checker for use in the pre-build stage of software installation
Name:		pmk
Version:	0.8.2
Release:	1mdk
License:	BSD-like
Group:		Development/Other
URL:		http://pmk.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/pmk/%{name}-%{version}.tar.bz2
Patch0:		pmk-0.9.0-optflags.diff.bz2
Requires:	pkgconfig flex bison binutils gawk sudo gcc-c++
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Pre Make Kit (PMK) aims to be a BSD alternative to GNU autoconf,
GNU libtool, and pkg-config. It uses data files instead of scripts
to limit the spreading of trojans in software packages. It's
designed to be easy to use for users and developers. For better
portability and efficiency, all of the components are written in
C. Requirements are a POSIX system, a C compiler, a POSIX shell,
and a make tool. 

%prep

%setup -q
%patch0

# various hacks.
perl -pi -e "s|/lib/|/%{_lib}/|g" *
perl -pi -e "s|/usr/lib|%{_libdir}|g" *
perl -pi -e "s|/usr/include|%{_includedir}|g" *
perl -pi -e "s|/usr/local|%{_prefix}|g" *

%build

sh pmkcfg.sh -p %{_prefix}

make \
    SYSCONFDIR=%{_sysconfdir} \
    BASE=%{_prefix} \
    CONFDIR=%{_sysconfdir}/pmk \
    BINDIR=%{_bindir} \
    SBINDIR=%{_sbindir} \
    DATADIR=%{_datadir}/pmk \
    MANDIR=%{_mandir} \
    RPM_OPT_FLAGS="%{optflags}"

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/pmk

make \
    SYSCONFDIR=%{buildroot}%{_sysconfdir} \
    BASE=%{buildroot}%{_prefix} \
    CONFDIR=%{buildroot}%{_sysconfdir}/pmk \
    BINDIR=%{buildroot}%{_bindir} \
    SBINDIR=%{buildroot}%{_sbindir} \
    DATADIR=%{buildroot}%{_datadir}/pmk \
    MANDIR=%{buildroot}%{_mandir} \
    install

# install the samples too
cp -aRf samples %{buildroot}%{_datadir}/pmk/

touch %{buildroot}%{_sysconfdir}/pmk/pmk.conf

%post
%{_sbindir}/pmksetup -V

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS BONUS BUGS CREDITS Changelog INSTALL LICENSE README STATUS TODO doc/*
%dir %{_sysconfdir}/pmk
%attr(0644,root,root) %config(noreplace) %ghost %{_sysconfdir}/pmk/pmk.conf
%{_bindir}/pmk*
%{_sbindir}/pmk*
%{_datadir}/pmk
%{_mandir}/man?/*

%changelog
* Sun Jan 23 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.2-1mdk
- rolled back to 0.8.2

* Sun Jan 23 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.0-2mdk
- added P0, lib64 fixes, fix deps, fix a pmk.conf file in %%post

* Sun Jan 23 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.0-1mdk
- initial Mandrakelinux package
